Bug 8607 - Падает на выходе
: Падает на выходе
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/iptraf)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-07 11:18 by
Modified: 2008-02-15 22:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-07 11:18:00
Падает на выходе, совершенно мимо обработчика выхода, от чего 
 - не завершается корректно ncurses (пропадает курсор) 
 - не закрывается прослушка интерфейса (до перезагрузки iptraf уже не 
воспользоваться)
------- Comment #1 From 2005-12-07 11:39:25 -------
Я только-что проверил и не обнаружил ни одного из перечисленных симптомов. А не
может такого быть, что у Вас с системе остались какие-то лишние (потерянные/не
удалённые) библиотеки от других программ, что приводит к возникновению подобных
эффектов.
------- Comment #2 From 2005-12-15 10:15:02 -------
.
------- Comment #3 From 2005-12-19 17:06:08 -------
А, понял, описанное мной поведение происходит 
при нажатии Ctrl-/ для выхода (которым я почему-то пользуюсь для завершения 
программы). 
------- Comment #4 From 2005-12-19 17:14:33 -------
У меня по Ctrl+/ ничего не происходит.
Я бы посоветовал Вам обратить внимание в сторону терминала или $SHELL.
------- Comment #5 From 2005-12-20 00:27:25 -------
Запускаю konsole 
$ su - 
# echo $SHELL 
/bin/bash 
# iptraf 
Ctrl-/ 
выпадаем. 
 
------- Comment #6 From 2005-12-20 00:37:27 -------
Не Ctrl+/, а Ctrl+\. Это Вы имели в виду?
Если так, то спасибо! Буду иметь в виду.
------- Comment #7 From 2005-12-20 01:14:31 -------
Что касается ncurses - бум разбираться, а что касается невозможности повторного
запуска iptraf, то насколько я понимаю, так и должно быть, так как CTRL+\ - это
аварийное завершение программы, поэтому файлы блокировки не уничтожаются. Вы их
можете удалить самостоятельно в /var/run/iptraf. Это будут файлы, содержащие в
своём названии "tag".
------- Comment #8 From 2005-12-20 01:53:11 -------
Да, это я что-то промахивался :) Ну в общем посылка SIGQUIT. 
------- Comment #9 From 2005-12-20 02:17:48 -------
Давно оно аварийное-то? 
Просто обработчик не повешен на SIGQUIT, вот и всё. 
Да,про блокировку я уже понял что есть ключ -f. 
------- Comment #10 From 2005-12-20 11:01:21 -------
Я отписал разработчику. Посмотрим, что он ответит. 
------- Comment #11 From 2008-01-08 20:05:02 -------
Как я понимаю, iptraf так два года назад и загнулся.
Так как это только я такой умный Ctrl-\ (SIGQUIT) для выхода нажимать,
багу закрываю.
------- Comment #12 From 2008-02-15 22:06:28 -------
Раз умер, то и фиксить никто не будет.
------- Comment #13 From 2008-02-15 22:07:02 -------
WONTFIX.